import { request } from '@umijs/max';

export async function roleMenuTreeSelect(options?: {}) {
    return request('/api/sys/menu/roleMenuTreeSelect', {
        method: 'GET',
        headers: {
            'Content-Type': 'application/json',
        },
        ...(options || {}),
    });
}

export async function menuGet(body: any, options?: {}) {
    return request('/api/sys/menu/get', {
        method: 'GET',
        headers: {
            'Content-Type': 'application/json',
        },
        ...(options || {}),
    });
}





export async function menuAdd(body: any, options?: {}) {
    return request('/api/sys/menu/add', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
        },
        data: body,
        ...(options || {}),
    });
}

export async function menuUpdate(body: any, options?: {}) {
    return request('/api/sys/menu/update', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
        },
        data: body,
        ...(options || {}),
    });
}

export async function menuDele(body: any, options?: {}) {
    return request('/api/sys/menu/deleteBatchByIds', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
        },
        data: body,
        ...(options || {}),
    });
}

